package game;
import java.awt.*;

public class Stars
{
    private static final int sprMax = 40;
    private static final int sprSize = 3;

    private Sprite sprite[] = new Sprite[sprMax+1];

    public void setSprites(Ground grnd)
    {
        int i;

        for ( i=0; i<=sprMax; i++ )
        {
            Number red = new Number( 50+i *  3 );
            Number green = new Number( 50+i *  6 );
            Number blue = new Number( 50+i * 10 );

            sprite[i] = new Sprite
            (
                sprSize, sprSize,
                red.reduceToLimit(255),
                green.reduceToLimit(255),
                blue.reduceToLimit(255) 
            );
            sprite[i].randPos( grnd.getWidth(), grnd.getHeight() );
            sprite[i].push( 5 + (i+1)/4, 5 + (i+1)/4 );
        }
    }

    public void spritesAppear(Graphics graph, Ground grnd)
    {
        int i;
        for ( i=0; i<=sprMax; i++ )
        {
            graph.setColor( sprite[i].col );
            graph.fillRect
            (
                (int) sprite[i].x + grnd.getOffsetX(),
                (int) sprite[i].y + grnd.getOffsetY(),
                (int) sprite[i].getWidth(),
                (int) sprite[i].getHeight()
            );
        }
    }

    public void calcPosSpr(Ground grnd)
    {
        int i;
        for ( i=0; i<=sprMax; i++ )
        {
            sprite[i].shift(grnd);
            sprite[i].move(grnd);
        }
    }
    
}